#define F_CPU 20000000
#include <avr/delay.h>
#include <avr/io.h>

#define DIRCLR(pin) VPORTA.DIR &= ~(1 << pin)
#define DIRSET(pin) VPORTA.DIR |= (1 << pin)
#define getVal(pin) VPORTA.IN & (1 << pin)
#define setHigh(pin) VPORTA.OUT |= (1 << pin)
#define setLow(pin) VPORTA.OUT &= ~(1 << pin)

void setup() {
  DIRCLR(7);
  DIRSET(6);
}

void loop() {
  if(getVal(7)) {
    setHigh(6);
    _delay_ms(1000);
    setLow(6);
    _delay_ms(1000);
  }
}
